techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Orders
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
        GET
      • Channel Subscription Details
        GET
      • List Channel Orders
        GET
      • Channel Order Details
        GET
      • Cancel Channel Subscription
        POST
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
      POST
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Orders

List Channel Orders

Developing
GET
https://api.techrar.com/api/v1/sales-channels/orders/

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/sales-channels/orders/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 0,
        "custom_fields": null,
        "cart": {
            "id": 0,
            "custom_fields": null,
            "items": [
                {
                    "id": 0,
                    "custom_fields": null,
                    "ordered_combo": null,
                    "ordered_product": null,
                    "subscription": {
                        "id": 0,
                        "custom_fields": null,
                        "plan": {
                            "id": 0,
                            "custom_fields": {},
                            "restaurants": [
                                {
                                    "id": 0,
                                    "name_ar": "string",
                                    "name_en": "string",
                                    "logo": "string",
                                    "supports_pickup": true,
                                    "supports_delivery": true,
                                    "closed_dates": [
                                        "string"
                                    ]
                                }
                            ],
                            "plan_tags": [
                                {
                                    "id": 0,
                                    "custom_fields": null,
                                    "app_id": 0,
                                    "created_at": "string",
                                    "modified_at": "string",
                                    "is_deleted": true,
                                    "deleted_at": null,
                                    "ordering": 0,
                                    "type_en": "string",
                                    "type_ar": "string",
                                    "tag_en": "string",
                                    "tag_ar": "string",
                                    "is_featured": true,
                                    "featured_plan_id": null,
                                    "is_active": true,
                                    "image": "string",
                                    "color": "string",
                                    "description_en": "string",
                                    "description_ar": "string",
                                    "corporate": null
                                }
                            ],
                            "versions": [
                                {
                                    "id": 0,
                                    "custom_fields": null,
                                    "min_start_date": "string",
                                    "max_start_date": "string",
                                    "app_id": null,
                                    "created_at": "string",
                                    "modified_at": "string",
                                    "is_deleted": true,
                                    "deleted_at": null,
                                    "ordering": 0,
                                    "num_of_days": 0,
                                    "off_days": [
                                        "string"
                                    ],
                                    "total_num_of_items": 0,
                                    "delivery_price": 0,
                                    "original_price": 0,
                                    "discount_percentage": 0,
                                    "is_active": true,
                                    "duration": "string",
                                    "pause_credits": null,
                                    "num_of_pause_attempts": null,
                                    "min_of_pause_days": null,
                                    "plan": 0,
                                    "restaurant_branch": 0
                                }
                            ],
                            "repetition": 0,
                            "start_date": "string",
                            "max_end_date": "string",
                            "skip_option_selection": true,
                            "size": {
                                "id": 0,
                                "custom_fields": null,
                                "app_id": null,
                                "created_at": "string",
                                "modified_at": "string",
                                "is_deleted": true,
                                "deleted_at": null,
                                "ordering": 0,
                                "title": "string",
                                "protein_amount": 0,
                                "unit": "string",
                                "carb_amount": 0,
                                "restaurant": 0
                            },
                            "app_id": null,
                            "created_at": "string",
                            "modified_at": "string",
                            "is_deleted": true,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "string",
                            "name_en": "string",
                            "subtitle_ar": null,
                            "subtitle_en": null,
                            "daily_num_of_meals": 0,
                            "image": "string",
                            "description_ar": null,
                            "description_en": null,
                            "daily_num_of_items": 0,
                            "avg_daily_meal_calories": 0,
                            "start_after": 0,
                            "is_active": true,
                            "reference": null,
                            "selling_price": null,
                            "special_product_selection_limit": 0,
                            "featured_title_en": null,
                            "featured_title_ar": null,
                            "is_featured": true,
                            "is_marketplace_featured": true,
                            "is_marketplace_active": true,
                            "supported_service": null,
                            "gender": null,
                            "image_ar": null,
                            "subscription_type": "string",
                            "menu": 0
                        },
                        "actual_num_of_days": 0,
                        "num_of_days": 0,
                        "num_of_remaining_days": 0,
                        "primary_location": {
                            "id": 0,
                            "custom_fields": null,
                            "city": {
                                "id": 0,
                                "custom_fields": null,
                                "app_id": null,
                                "created_at": "string",
                                "modified_at": "string",
                                "is_deleted": true,
                                "deleted_at": null,
                                "ordering": 0,
                                "name_ar": "string",
                                "name_en": "string",
                                "country_code": "string",
                                "keywords": "string",
                                "is_supported": true
                            },
                            "location_url": "string",
                            "app_id": null,
                            "created_at": "string",
                            "modified_at": "string",
                            "is_deleted": true,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "string",
                            "name_en": "string",
                            "longitude": "string",
                            "latitude": "string",
                            "address1": "string",
                            "address2": "string",
                            "place_id": "string",
                            "postal_code": "string",
                            "formatted_address": "string",
                            "district": "string",
                            "district_ar": null,
                            "city_name_en": "string",
                            "city_name_ar": null,
                            "route": "string",
                            "street_number": "string",
                            "is_synced": true,
                            "type": "string",
                            "description": "string",
                            "is_default": true,
                            "image": "string",
                            "deleted_from": null,
                            "agnostic_city_id": null,
                            "agnostic_district_id": null,
                            "zone": 0,
                            "customer_profile": 0
                        },
                        "secondary_location": {
                            "id": 0,
                            "custom_fields": null,
                            "city": {
                                "id": 0,
                                "custom_fields": null,
                                "app_id": null,
                                "created_at": "string",
                                "modified_at": "string",
                                "is_deleted": true,
                                "deleted_at": null,
                                "ordering": 0,
                                "name_ar": "string",
                                "name_en": "string",
                                "country_code": "string",
                                "keywords": "string",
                                "is_supported": true
                            },
                            "location_url": "string",
                            "app_id": null,
                            "created_at": "string",
                            "modified_at": "string",
                            "is_deleted": true,
                            "deleted_at": null,
                            "ordering": 0,
                            "name_ar": "string",
                            "name_en": "string",
                            "longitude": "string",
                            "latitude": "string",
                            "address1": "string",
                            "address2": "string",
                            "place_id": "string",
                            "postal_code": "string",
                            "formatted_address": "string",
                            "district": "string",
                            "district_ar": null,
                            "city_name_en": "string",
                            "city_name_ar": null,
                            "route": "string",
                            "street_number": "string",
                            "is_synced": true,
                            "type": "string",
                            "description": "string",
                            "is_default": true,
                            "image": "string",
                            "deleted_from": null,
                            "agnostic_city_id": null,
                            "agnostic_district_id": null,
                            "zone": 0,
                            "customer_profile": 0
                        },
                        "primary_location_id": 0,
                        "secondary_location_id": 0,
                        "can_cancel": true,
                        "min_cancel_date": "string",
                        "max_cancel_date": "string",
                        "min_resume_date": "string",
                        "max_resume_date": "string",
                        "cancel_credits": 0,
                        "plan_version": {
                            "id": 0,
                            "custom_fields": null,
                            "min_start_date": "string",
                            "max_start_date": "string",
                            "app_id": null,
                            "created_at": "string",
                            "modified_at": "string",
                            "is_deleted": true,
                            "deleted_at": null,
                            "ordering": 0,
                            "num_of_days": 0,
                            "off_days": [
                                "string"
                            ],
                            "total_num_of_items": 0,
                            "delivery_price": 0,
                            "original_price": 0,
                            "discount_percentage": 0,
                            "is_active": true,
                            "duration": "string",
                            "pause_credits": null,
                            "num_of_pause_attempts": null,
                            "min_of_pause_days": null,
                            "plan": 0,
                            "restaurant_branch": 0
                        },
                        "next_order": null,
                        "restaurant_branch": null,
                        "support_number": "string",
                        "app_id": 0,
                        "created_at": "string",
                        "modified_at": "string",
                        "is_deleted": true,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_ar": "string",
                        "name_en": "string",
                        "start_date": "string",
                        "end_date": "string",
                        "avg_daily_meal_calories": 0,
                        "daily_delivery_price": 0,
                        "delivery_price": 0,
                        "daily_meal_price": 0,
                        "original_price": 0,
                        "discount_percentage": 0,
                        "notes": "string",
                        "status": "string",
                        "paused_days": 0,
                        "pause_attempts_credits": 0,
                        "secondary_mobile_number": null,
                        "restricted_location": true,
                        "is_prime": true,
                        "corporate_location_id": null,
                        "is_saas": true,
                        "is_pickup": true,
                        "restaurant_branch_id": 0,
                        "order_id": 0,
                        "voucher_id": null,
                        "voucher_code": null,
                        "is_first_subscription": true,
                        "city_id": 0,
                        "has_transferred": true,
                        "is_archived": true,
                        "refund_method": null,
                        "transfer_history": null,
                        "number_of_items": 0,
                        "remaining_items": 0,
                        "selected_variants_ids": null,
                        "addon_orders_ids": null,
                        "paused_addons": null,
                        "paused_queue": null,
                        "dispatch_branch_id": null,
                        "customer_profile": 0,
                        "delivery_window": 0,
                        "channel": 0,
                        "corporate": null
                    },
                    "menu_category_name": null,
                    "extra_config_quantity": null,
                    "app_id": 0,
                    "created_at": "string",
                    "modified_at": "string",
                    "is_deleted": true,
                    "deleted_at": null,
                    "ordering": 0,
                    "quantity": 0,
                    "price": 0,
                    "cart": 0,
                    "extra_item_config": null
                }
            ],
            "price": 0,
            "app_id": 0,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "is_confirmed": true,
            "customer_profile": 0
        },
        "cart_price": 0,
        "total_discounts": 0,
        "cart_price_discounts": 0,
        "total_price": 0,
        "restaurant": {
            "id": 0,
            "custom_fields": null,
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "string",
            "name_ar": "string",
            "subtitle_en": "string",
            "subtitle_ar": "string",
            "description_en": "string",
            "description_ar": "string",
            "logo": "string",
            "rest_type": "string",
            "start_after": 0,
            "store_start_after": 0,
            "is_active": true,
            "primary_color": "string",
            "secondary_color": null,
            "banner": null,
            "closed_dates": "string",
            "supports_pickup": true,
            "supports_delivery": true,
            "delivery_by_yumealz": true,
            "off_days": "string",
            "menu": 0,
            "main_branch_location": null
        },
        "restaurants": [
            {
                "id": 0,
                "custom_fields": null,
                "app_id": null,
                "created_at": "string",
                "modified_at": "string",
                "is_deleted": true,
                "deleted_at": null,
                "ordering": 0,
                "name_en": "string",
                "name_ar": "string",
                "subtitle_en": "string",
                "subtitle_ar": "string",
                "description_en": "string",
                "description_ar": "string",
                "logo": "string",
                "rest_type": "string",
                "start_after": 0,
                "store_start_after": 0,
                "is_active": true,
                "primary_color": "string",
                "secondary_color": null,
                "banner": null,
                "closed_dates": "string",
                "supports_pickup": true,
                "supports_delivery": true,
                "delivery_by_yumealz": true,
                "off_days": "string",
                "menu": 0,
                "main_branch_location": null
            }
        ],
        "payment": null,
        "location": {
            "id": 0,
            "custom_fields": null,
            "city": {
                "id": 0,
                "custom_fields": null,
                "app_id": null,
                "created_at": "string",
                "modified_at": "string",
                "is_deleted": true,
                "deleted_at": null,
                "ordering": 0,
                "name_ar": "string",
                "name_en": "string",
                "country_code": "string",
                "keywords": "string",
                "is_supported": true
            },
            "location_url": "string",
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "string",
            "name_en": "string",
            "longitude": "string",
            "latitude": "string",
            "address1": "string",
            "address2": "string",
            "place_id": "string",
            "postal_code": "string",
            "formatted_address": "string",
            "district": "string",
            "district_ar": null,
            "city_name_en": "string",
            "city_name_ar": null,
            "route": "string",
            "street_number": "string",
            "is_synced": true,
            "type": "string",
            "description": "string",
            "is_default": true,
            "image": "string",
            "deleted_from": null,
            "agnostic_city_id": null,
            "agnostic_district_id": null,
            "zone": 0,
            "customer_profile": 0
        },
        "delivery_window": {
            "id": 0,
            "custom_fields": null,
            "app_id": 0,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "type": "string",
            "from_time": "string",
            "to_time": "string",
            "is_default": true,
            "is_active": true,
            "tag_en": null,
            "tag_ar": null
        },
        "pickup_branch": null,
        "voucher_applied": true,
        "restaurant_id": 0,
        "payment_link": null,
        "dispatch_branch_id": null,
        "app_id": 0,
        "created_at": "string",
        "modified_at": "string",
        "is_deleted": true,
        "deleted_at": null,
        "ordering": 0,
        "customer_id": 0,
        "delivery_fee": 0,
        "delivery_fee_discounts": 0,
        "redeem_discounts": 0,
        "redeemed_point_id": 0,
        "status": 0,
        "is_sub": true,
        "is_paid": true,
        "voucher_id": null,
        "type": "string",
        "delivery_date": null,
        "received_at": null,
        "delivered_at": null,
        "notes": null,
        "redeem_flag": true,
        "price_flag": true,
        "is_prime": true,
        "is_saas": true,
        "is_pickup": true,
        "pickup_branch_id": null,
        "invoice_serial": null,
        "invoice_file": null,
        "payment_attachment": null,
        "is_archived": true,
        "reference": null,
        "has_been_synced": true,
        "pending_sub_order_ids": null,
        "pending_add_on_items": null,
        "captain": null,
        "prices": 0,
        "channel": 0,
        "subscription": null
    }
]
Modified at 2025-10-21 08:45:47
Previous
Channel Subscription Details
Next
Channel Order Details
Built with